<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structmtb__thermistor__ntc__gpio__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>mtb_thermistor_ntc_gpio_cfg_t</compoundname>
    <includes local="no">mtb_thermistor_ntc_gpio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structmtb__thermistor__ntc__gpio__cfg__t_1a8e0394b410ee31e8f6a8e3096ce9948b" kind="variable" mutable="no" prot="public" static="no">
        <type>float</type>
        <definition>float mtb_thermistor_ntc_gpio_cfg_t::r_ref</definition>
        <argsstring />
        <name>r_ref</name>
        <briefdescription>
<para>Resistance of the reference resistor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" bodystart="48" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="48" />
      </memberdef>
      <memberdef id="structmtb__thermistor__ntc__gpio__cfg__t_1ac8c3daa7e7c127ce8f2f380ecfeb34df" kind="variable" mutable="no" prot="public" static="no">
        <type>float</type>
        <definition>float mtb_thermistor_ntc_gpio_cfg_t::b_const</definition>
        <argsstring />
        <name>b_const</name>
        <briefdescription>
<para>Beta constant of the thermistor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" bodystart="49" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="49" />
      </memberdef>
      <memberdef id="structmtb__thermistor__ntc__gpio__cfg__t_1a53d3d675918563409052272540194017" kind="variable" mutable="no" prot="public" static="no">
        <type>float</type>
        <definition>float mtb_thermistor_ntc_gpio_cfg_t::r_infinity</definition>
        <argsstring />
        <name>r_infinity</name>
        <briefdescription>
<para>Projected resistance of the thermistor at infinity. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" bodystart="50" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="50" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure containing ntc thermistor constants. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="51" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" bodystart="46" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="47" />
    <listofallmembers>
      <member prot="public" refid="structmtb__thermistor__ntc__gpio__cfg__t_1ac8c3daa7e7c127ce8f2f380ecfeb34df" virt="non-virtual"><scope>mtb_thermistor_ntc_gpio_cfg_t</scope><name>b_const</name></member>
      <member prot="public" refid="structmtb__thermistor__ntc__gpio__cfg__t_1a53d3d675918563409052272540194017" virt="non-virtual"><scope>mtb_thermistor_ntc_gpio_cfg_t</scope><name>r_infinity</name></member>
      <member prot="public" refid="structmtb__thermistor__ntc__gpio__cfg__t_1a8e0394b410ee31e8f6a8e3096ce9948b" virt="non-virtual"><scope>mtb_thermistor_ntc_gpio_cfg_t</scope><name>r_ref</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>